package adminkindboxparam

import (
	"time"
)

//when kindbox creates, which fields are 
type KindBoxUpdateRequest struct {
    KindBoxID          uint      `json:"-" param:"id" example:"1"`  // ID is passed in the URL path
    BenefactorID       uint      `json:"benefactor_id" example:"1"`
    ReturnReferTimeID  uint      `json:"return_refere_time_id" example:"3"`
    ReturnReferDate    time.Time `json:"return_refer_date" example:"2025-01-02T15:04:05Z"`
    ReturnAddressID    uint      `json:"return_address_id" example:"1"`
    ReceiverAgentID    uint      `json:"receiver_agent_id" example:"23"`
    Amount             uint      `json:"amount" example:"3"`
}

type KindBoxUpdateResponse struct {
	FieldErrors map[string]string `json:"field_errors,omitempty"`
}
